part of '../../../account_management.dart';

class AccountGroupFilter extends NameFilter<AccountGroupModel> {
  const AccountGroupFilter({
    super.ids,
    super.status,
    super.text,
  });

  @override
  Map<String, dynamic> toMap() => {...super.toMap()};

  @override
  AccountGroupFilter copyWith(
          {InWhere<int>? ids, InWhere<bool>? status, LikeWhere? text}) =>
      AccountGroupFilter(
        ids: ids ?? this.ids,
        status: status ?? this.status,
        text: text ?? this.text,
      );
}
