part of '../../../account_management.dart';

class AccountTypeFilter extends NameFilter<AccountTypeModel> {
  const AccountTypeFilter({
    super.ids,
    super.status,
    super.text,
  });

  @override
  Map<String, dynamic> toMap() => {...super.toMap()};

  @override
  AccountTypeFilter copyWith(
          {InWhere<int>? ids, InWhere<bool>? status, LikeWhere? text}) =>
      AccountTypeFilter(
        ids: ids ?? this.ids,
        status: status ?? this.status,
        text: text ?? this.text,
      );
}
