part of '../../../../public.dart';

class LikeWhere {
  final String value;
  final bool not;
  final bool contains;
  LikeWhere({
    required this.value,
    this.contains = true,
    this.not = false,
  });

  Map<String, dynamic> toMap() => {
        "value": value,
        "contains": contains,
        "not": not,
      };

  bool check(String? field, {bool contains = false}) {
    if (contains || this.contains) {
      return not ^ (field?.contains(value) ?? false);
    } else {
      return not ^ (field == value);
    }
  }
}
