library store_management;

import 'package:collection/collection.dart';
import 'package:floor/floor.dart';

import 'account_management.dart';
import 'permission_management.dart';
import 'public.dart';

part 'store_management/store/controller/api.dart';
part 'store_management/store/controller/db.dart';
part 'store_management/store/model/model.dart';
part 'store_management/store/model/filter.dart';

part 'store_management/measure_unit/controller/api.dart';
part 'store_management/measure_unit/controller/db.dart';
part 'store_management/measure_unit/model/model.dart';
part 'store_management/measure_unit/model/filter.dart';

part 'store_management/product_type/controller/api.dart';
part 'store_management/product_type/controller/db.dart';
part 'store_management/product_type/model/model.dart';
part 'store_management/product_type/model/filter.dart';

part 'store_management/product_catagory/controller/api.dart';
part 'store_management/product_catagory/controller/db.dart';
part 'store_management/product_catagory/model/model.dart';
part 'store_management/product_catagory/model/filter.dart';

part 'store_management/product/controller/api.dart';
part 'store_management/product/controller/db.dart';
part 'store_management/product/model/model.dart';
part 'store_management/product/model/filter.dart';

part 'store_management/product_measure/controller/api.dart';
part 'store_management/product_measure/controller/db.dart';
part 'store_management/product_measure/model/model.dart';
part 'store_management/product_measure/model/filter.dart';

part 'store_management/product_storage/controller/api.dart';
part 'store_management/product_storage/controller/db.dart';
part 'store_management/product_storage/model/model.dart';
part 'store_management/product_storage/model/filter.dart';
