part of '../../../store_management.dart';

class StoreFilter extends NameFilter<StoreModel> {
  final InWhere<int>? branchIds;
  const StoreFilter({
    super.ids,
    super.status,
    super.text,
    this.branchIds,
  });

  @override
  Map<String, dynamic> toMap() => {
        ...super.toMap(),
        "branchIds": branchIds?.toMap(),
      };

  @override
  StoreFilter copyWith({
    InWhere<int>? ids,
    InWhere<bool>? status,
    LikeWhere? text,
    InWhere<int>? branchIds,
  }) =>
      StoreFilter(
        ids: ids ?? this.ids,
        status: status ?? this.status,
        text: text ?? this.text,
        branchIds: branchIds ?? this.branchIds,
      );
}
