part of '../../../account_management.dart';

class AccountLevelFilter extends NameFilter<AccountLevelModel> {
  const AccountLevelFilter({
    super.ids,
    super.status,
    super.text,
  });

  @override
  Map<String, dynamic> toMap() => {...super.toMap()};

  @override
  AccountLevelFilter copyWith(
          {InWhere<int>? ids, InWhere<bool>? status, LikeWhere? text}) =>
      AccountLevelFilter(
        ids: ids ?? this.ids,
        status: status ?? this.status,
        text: text ?? this.text,
      );
}
