part of '../../../account_management.dart';

class CurrencyFilter extends NameFilter<CurrencyModel> {
  const CurrencyFilter({
    super.ids,
    super.status,
    super.text,
  });

  @override
  Map<String, dynamic> toMap() => {...super.toMap()};

  @override
  CurrencyFilter copyWith({
    InWhere<int>? ids,
    InWhere<bool>? status,
    LikeWhere? text,
  }) =>
      CurrencyFilter(
        ids: ids ?? this.ids,
        status: status ?? this.status,
        text: text ?? this.text,
      );
}
