part of '../../../permission_management.dart';

class UserRoleFilter extends NameFilter<UserRoleModel> {
  const UserRoleFilter({
    super.ids,
    super.status,
    super.text,
  });

  @override
  Map<String, dynamic> toMap() => {...super.toMap()};

  @override
  UserRoleFilter copyWith({
    InWhere<int>? ids,
    InWhere<bool>? status,
    LikeWhere? text,
  }) =>
      UserRoleFilter(
        ids: ids ?? this.ids,
        status: status ?? this.status,
        text: text ?? this.text,
      );
}
