part of '../../public.dart';

abstract class ModelDbSet<ModelType extends Model> {
  @Insert(onConflict: OnConflictStrategy.replace)
  Future<void> insertOne(ModelType data);

  @Insert(onConflict: OnConflictStrategy.replace)
  Future<List<int>> insertAll(List<ModelType> data);

  @Update(onConflict: OnConflictStrategy.replace)
  Future<void> updateOne(ModelType person);

  @update
  Future<int> updateAll(List<ModelType> people);
}
