part of '../../../public.dart';

abstract class IdentityFilter<ModelType extends IdentityModel>
    extends TableFilter<ModelType> {
  final InWhere<int>? ids;

  const IdentityFilter({this.ids});
  @override
  Map<String, dynamic> toMap() => {"ids": ids?.toMap()};

  @override
  bool check(ModelType element) =>
      super.check(element) && (ids?.check(element.id) ?? true);

  IdentityFilter copyWith({InWhere<int>? ids});
}
