part of '../../../store_management.dart';

class ProductTypeFilter extends NameFilter<ProductTypeModel> {
  const ProductTypeFilter({
    super.ids,
    super.status,
    super.text,
  });

  @override
  bool textCheck(ProductTypeModel element) =>
      super.textCheck(element) ||
      (text?.check(element.description, contains: true) ?? true);

  @override
  Map<String, dynamic> toMap() => {...super.toMap()};

  @override
  ProductTypeFilter copyWith({
    InWhere<int>? ids,
    InWhere<bool>? status,
    LikeWhere? text,
  }) =>
      ProductTypeFilter(
        ids: ids ?? this.ids,
        status: status ?? this.status,
        text: text ?? this.text,
      );
}
