part of '../../../store_management.dart';

@Entity(tableName: 'product_type', primaryKeys: ['id'])
class ProductTypeModel extends NameModel {
  final String? description;
  static const String descriptionTag = "description";

  const ProductTypeModel({
    super.id = 0,
    required super.name,
    super.status = true,
    this.description,
  });
  ProductTypeModel.fromMap(super.map)
      : description = map.getString(descriptionTag),
        super.fromMap();

  @override
  Map<String, dynamic> toMap() =>
      {...super.toMap(), descriptionTag: description};
}
